Subject: Re: bug#64783: Build of texlive-font-maps fails

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Wed, 09 Aug 2023 12:03:33 +0200

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> "Dr. Arne Babenhauserheide" <[email-masked]> writes:
>
>> Is there a package that says "all of texlive"? When working with LaTeX,
>> I do not know beforehand which packages I need but rather always need
>> all available to try out what works well.
>
> The "all of texlive" package is called `texlive'.
>
> When you have this one in your profile, you shouldn't need any
> "texlive-" prefixed package. OTOH, if you don't have `texlive', which is
> what I suggest, you need to start off with a base system, such as
> `texlive-scheme-basic' and extend it with TeX Live collections.

I found that after an update, pdflatex is broken with texlive and
additional packages, but works when 

Should all texlive-prefixed packages be removed from the manifest? If
yes: can we somehow add a warning about this?

I have this list in my manifest:

  "texlive"
  "texlive-ae"
  "texlive-amsfonts"
  "texlive-bin"
  "texlive-charter"
  "texlive-cm-super"
  "texlive-fontinst"
  "texlive-ec"
  "texlive-iwona"
  "texlive-latex-fonts"
  "texlive-rsfs"
  "texlive-inconsolata"
  "texlive-mdwtools"
  "texlive-ms"
  "texlive-polyglossia"
  "texlive-titlesec"
  "texlive-lh"
  "texlive-metafont"
  "texlive-mflogo"
  "texlive-mflogo-font"
  "texlive-palatino"
  "texlive-hyphen-complete"
  "texlive-times"
  "texlive-txfonts"
  "texlive-zapfding"

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de